package example.controller;

import example.websocket.WebsocketEndpoint;
import example.websocket.config.WebsocketConfig;
import example.websocket.factory.WebSocketFactory;

public class CreateClient implements Runnable{
	private String name = Thread.currentThread().getName();
	private int size = 0;
	public CreateClient(int size) {
		this.size = size;
	}
	public CreateClient(String name , int size){
		this.name = name;
		this.size = size;
	}

	@Override
	public void run() {
		for(int i = 0; i < this.size; i++){
			try {
				WebsocketEndpoint ws = WebSocketFactory.getInstance().createEndPoint(WebsocketConfig.classEndPoint);
				new Thread(ws , this.name +"_"+ i).start();
			} catch (InstantiationException | IllegalAccessException | ClassNotFoundException e) {
				e.printStackTrace();
			}
		}
	}
}
