package example.websocket.factory;

import java.io.IOException;
import java.net.URI;
import java.net.URISyntaxException;

import javax.websocket.ClientEndpointConfig;
import javax.websocket.DeploymentException;
import javax.websocket.Endpoint;

import org.glassfish.tyrus.client.ClientManager;

import example.websocket.config.WebsocketConfig;

public class ClientEndpointFactory {
	private static ClientEndpointFactory instance = null;
	private ClientManager clientManager = ClientManager.createClient();
	private ClientEndpointConfig cec = ClientEndpointConfig.Builder.create().build();
	private ClientEndpointFactory(){
	}
	
	public static ClientEndpointFactory getInstance(){
		if(instance == null){
			instance = new ClientEndpointFactory();
		}
		return instance;
	}
	
	public void connect(Endpoint endpoint) throws DeploymentException, IOException, URISyntaxException{
		clientManager.connectToServer(endpoint , cec, new URI(WebsocketConfig.URIPATH));
	}
}
