package example.websocket.factory;

import example.websocket.EndpointBase;
import example.websocket.WebsocketEndpoint;

public class WebSocketFactory {
	private static WebSocketFactory instance;
	
	private WebSocketFactory(){
		
	}
	
	public static WebSocketFactory getInstance(){
		if(instance == null){
			instance = new WebSocketFactory();
		}
		return instance;
	}
	
	public WebsocketEndpoint createEndPoint(Class<? extends EndpointBase> endpoint) throws InstantiationException, IllegalAccessException, ClassNotFoundException{
		return endpoint.newInstance();
	}
}
